<?php
/*
Plugin Name: double-reectangle
Plugin URI: http://tanweb.net/2019/01/29/25361/
Description: このプラグインを使うと、WP QUADS に設定した広告コードを基に、ツールのボタン1発でダブルレクタングル広告を添付できます。もちろんモバイル対応。
Author: Kitamura
Version: 1.0
Author URI: http://tanweb.net
License: GPL
*/

//ショートコード
function dr_shortcode() {
  if( is_mobile() ){ 
    return '
		    <div class="mobile-ad">
          [quads id=3]
        </div>
		';
  } else{
    return '
        <div class="double-ad clearfix">
          <div class="left-ad">
            [quads id=1]
          </div>
          <div class="right-ad">
            [quads id=2]
          </div>
        </div>
	';
  }
}
add_shortcode( 'dr', 'dr_shortcode' );

add_filter( 'mce_buttons', 'add_shortcode_button' );
function add_shortcode_button( $buttons ) {
  $buttons[] = 'dr';
  return $buttons;
}
function myplugin_load() {
  wp_register_style('myplugin_css', plugins_url('/double-reectangle.css', __FILE__));
  wp_enqueue_style('myplugin_css');
}
add_action('wp_enqueue_scripts', 'myplugin_load');

function double_reectangle_button_plugin( $plugin_array ) {
  $plugin_array['custom_button_script'] =   plugins_url( '/double-reectangle.js', __FILE__ );
	return $plugin_array;
}
add_filter( 'mce_external_plugins', 'double_reectangle_button_plugin' );

?>